Bug 769551 - dhcpd needs dac_override
dhcpd needs dac_override
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 765967
  Show dependency treegraph
 
Reported: 2011-12-21 05:15 EST by Jiri Popelka
Modified: 2012-01-22 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-72.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-22 17:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2011-12-21 05:15:26 EST
Hi,

I need to change selinux-policy in Fedora-16 to allow dhcpd to change owner of 
/var/lib/dhcpd/*.leases, i.e. the same change as mentioned in bug #737571, comment #12.

Previously I was thinking I could solve this in dhcpd, but now I see I need
dac_override (see bug #765967).


Additional info:

type=1400 audit(1324461582.059:4): avc:  denied  { dac_override } for  pid=4524 comm="dhcpd" capability=1  scontext=system_u:system_r:dhcpd_t:s0 tcontext=system_u:system_r:dhcpd_t:s0 tclass=capability
Comment 1 Miroslav Grepl 2011-12-21 05:43:46 EST
So there is no way try to a solution in Fedora.
Comment 2 Miroslav Grepl 2011-12-21 05:57:15 EST
(In reply to comment #0)
> Hi,
> 
> I need to change selinux-policy in Fedora-16 to allow dhcpd to change owner of 
> /var/lib/dhcpd/*.leases, i.e. the same change as mentioned in bug #737571,
> comment #12.
> 
> Previously I was thinking I could solve this in dhcpd, but now I see I need
> dac_override (see bug #765967).
> 

Ok.
Comment 3 Jiri Popelka 2012-01-13 05:36:57 EST
ping
Comment 4 Miroslav Grepl 2012-01-13 06:44:48 EST
Fixed in selinux-policy-3.10.0-72.fc16
Comment 5 Fedora Update System 2012-01-17 10:18:38 EST
selinux-policy-3.10.0-72.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-72.fc16
Comment 6 Fedora Update System 2012-01-17 15:29:04 EST
Package selinux-policy-3.10.0-72.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-72.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0639/selinux-policy-3.10.0-72.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-01-22 17:53:18 EST
selinux-policy-3.10.0-72.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.